Double Tap
curl --request POST \
--url https://api.example.com/v1/phones/{phone_id}/double-tapimport requests
url = "https://api.example.com/v1/phones/{phone_id}/double-tap"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/phones/{phone_id}/double-tap', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Gestures
Double Tap
Double tap at coordinates
POST
/
v1
/
phones
/
{phone_id}
/
double-tap
Double Tap
Execute a double tap at the specified coordinates.
Request
curl -X POST https://api.tapkit.ai/v1/phones/{phone_id}/double-tap \
-H "X-API-Key: joot_your_api_key" \
-H "Content-Type: application/json" \
-d '{"x": 100, "y": 200}'
Request Body
{
"x": 100,
"y": 200
}
| Field | Type | Description |
|---|---|---|
x | integer | X coordinate in pixels |
y | integer | Y coordinate in pixels |
Use Cases
- Zoom in on images or maps
- Select text
- Quick actions in some apps
Related Endpoints
- Double Tap by Description - Double tap using natural language
- Tap - Single tap gesture
⌘I